@import url("https://fonts.verwaltungsportal.de/import/?family=Lato:400,700,400i,700i");

html {
  max-width: 1930px;
  margin-left: auto;
  margin-right: auto;
  background: #e3edff;
  scroll-behavior: smooth;
  scroll-padding-top: 100px;
  scrollbar-color: #0f449d #ffffff;
  scrollbar-width: thin;
}

body {
  font-family: "Lato", sans-serif;
  font-weight: 400;
  color: #3e3e3e;
  background: #ffffff;
  font-size: clamp(1rem, 2vw, 1rem);
  line-height: 1.5;
}

a {
  color: #1358cc;
  font-weight: 700;
}

a:is(:hover, :focus) {
  color: #1358cc;
  text-decoration: underline;
}

a:focus-visible,
button:focus-visible,
form:focus-visible,
input:focus-visible {
  outline: 3px solid #ff0000 !important;
}

b,
strong {
  font-weight: 700;
}

/* ------------------------------------------------- logo ------------------------------------------------ */

#logo img {
  display: block;
  max-width: 300px;
  width: 100%;
}

#logo {
  display: inline-block;
  background: #fff;
  height: 100%;
  margin: 15px 0;
}

@media (min-width: 992px) {
  #logo img {
    height: 100%;
    min-height: 100%;
    max-width: 370px;
    width: 100%;
  }
  #logo {
    min-height: 77px;
    margin: 0;
  }
}

/* #region ---------------------------------- navigation ---------------------------------------- */

/* burgermenu for tablet */

@media (max-width: 991px) {
  #burgerButton {
    font-size: 0;
    border: none !important;
    display: block;
    height: 50px;
    width: 60px;
    border-radius: 2px;
    padding: 6px 8px;
    cursor: pointer;
    background-color: #ffffff;
    box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.08);
  }

  #burgerButton::before,
  #burgerButton::after,
  #burgerButtonInner {
    background-color: #1358cc;
    border-radius: 2px;
    position: absolute;
    width: 40px;
    height: 3px;
    left: 10px;
    transition:
      transform 200ms linear,
      opacity 200ms linear;
  }

  #burgerButton[aria-expanded="true"] #burgerButtonInner {
    transform: rotate(-45deg) translate(-6px, 6px);
  }

  #burgerButton[aria-expanded="true"]::before {
    opacity: 0;
  }

  #burgerButton[aria-expanded="true"]:after {
    transform: rotate(45deg) translate(-4px, -6px);
  }

  #burgerButtonInner {
    top: 16px;
  }

  #burgerButton::before {
    top: 24px;
    content: "";
  }

  #burgerButton::after {
    top: 32px;
    content: "";
  }

  .navbar-nav {
    margin: 20px 0;
  }

  .navbar-collapse {
    width: calc(100% - 90px);
    max-width: 300px;
    top: 0;
    background: #ffffff;
    position: fixed;
    left: -100%;
    bottom: 0;
    z-index: 100;
    height: auto !important;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
    overflow-y: auto;
    transition:
      left 300ms linear,
      opacity 300ms linear,
      box-shadow 600ms linear;
    box-shadow: 250px 0 50vw 50vw rgba(255, 255, 255, 0);
  }

  .navbar-collapse:is([aria-expanded="true"], .in) {
    left: 0;
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    box-shadow: 250px 0 50vw 50vw rgba(0, 0, 0, 0.6);
  }

  .navbar-header {
    position: fixed;
    top: 15px;
    right: 15px;
    z-index: 101;
  }

  .dropdown-toggle-button-wrapper {
    top: 7px;
  }

  .dropdown-toggle-button-wrapper2 {
    top: 4px;
  }
}

/* menu desktop */

@media (min-width: 992px) {
  nav.horizontally {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    background-color: rgba(255, 255, 255, 0.8);
    box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.35);
    z-index: 99;
  }

  nav.horizontally .navbar-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
  }

  nav.horizontally .navbar-nav > li {
    flex-grow: 1;
  }

  nav.horizontally .navbar-nav ul {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: block !important;
    pointer-events: none;
    opacity: 0;
    visibility: hidden;
    transition: opacity 300ms linear;
  }

  nav.horizontally .navbar-nav [class*="secondlevel"] > ul {
    left: 100%;
    top: 0;
  }

  nav.horizontally .navbar-nav li {
    position: relative;
  }

  nav.horizontally .navbar-nav ul {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: block !important;
    pointer-events: none;
    opacity: 0;
    visibility: hidden;
    transition: opacity 300ms linear;
  }

  nav.horizontally .navbar-nav li {
    position: relative;
  }

  nav.horizontally .navbar-nav li:is(.open:focus-within, :hover) > ul,
  nav.horizontally .navbar-nav li[class*="secondlevel"] > ul[style*="block"] {
    pointer-events: auto !important;
    opacity: 1 !important;
    visibility: visible;
  }

  nav.horizontally .navbar-nav li:is(:hover, :focus-within) > ul {
    z-index: 1003;
  }
}

/* toplevel */

nav.horizontally a[class*="toplevel"] {
  color: #3e3e3e;
  font-weight: 700;
  text-align: left;
  padding: 10px 15px 15px 15px;
  position: relative;
  font-size: 1.125rem;
  line-height: 1.2;
  text-decoration: none;
}

@media (max-width: 991px) {
  nav.horizontally a[class*="toplevel"].dropdown-toggle {
    padding-right: 35px;
  }
}

@media (min-width: 992px) {
  nav.horizontally a[class*="toplevel"] {
    text-align: center;
    padding: 28px 0;
  }
}

/* toplevel-over */

nav.horizontally li[class*="toplevel"]:is(:hover, :focus-within) > a,
nav.horizontally li[class*="toplevel"] > a:is(:hover, :focus),
nav.horizontally li[class*="toplevel"].open > a,
nav.horizontally li[class*="toplevel"].open > a:is(:hover, :focus),
nav.horizontally li[class*="toplevel"][class*="_over"] > a,
nav.horizontally li[class*="toplevel"][class*="_over"] > a:is(:hover, :focus) {
  color: #1358cc;
  background-color: #ffffff;
}

nav.horizontally li[class*="toplevel"]:is(:hover, :focus-within) > a::before,
nav.horizontally li[class*="toplevel"] > a:is(:hover, :focus)::before,
nav.horizontally li[class*="toplevel"].open > a::before,
nav.horizontally li[class*="toplevel"].open > a:is(:hover, :focus)::before,
nav.horizontally li[class*="toplevel"][class*="_over"] > a::before,
nav.horizontally li[class*="toplevel"][class*="_over"] > a:is(:hover, :focus)::before {
  opacity: 1;
}

/* secondlevel + thirdlevel dropdown-box */

nav.horizontally [class*="toplevel"] ul {
  background-color: #ffffff;
}

@media (max-width: 991px) {
  nav.horizontally [class*="toplevel"] > ul {
    padding: 10px 0;
  }
}

@media (min-width: 992px) {
  nav.horizontally [class*="toplevel"] ul {
    padding: 25px 0;
    border-radius: 3px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.15);
  }

  nav.horizontally [class*="toplevel"] > ul {
    margin-top: 15px;
  }

  nav.horizontally [class*="secondlevel"] > ul {
    margin: -25px 0 0 15px;
  }

  nav.horizontally :is([class*="toplevel"], [class*="secondlevel"]) > ul::before {
    content: "";
    position: absolute;
    display: block;
  }

  nav.horizontally [class*="toplevel"] > ul::before {
    height: 15px;
    left: 0;
    right: 0;
    top: -15px;
  }

  nav.horizontally [class*="secondlevel"] > ul::before {
    width: 15px;
    top: 0;
    bottom: 0;
    left: -15px;
  }
}

/* secondlevel + thirdlevel */

nav.horizontally a:is([class*="secondlevel"], [class*="thirdlevel"]) {
  color: #5e5e5e;
  font-weight: 400;
  padding: 8px 25px;
  font-size: 1rem;
  line-height: 1.2;
  text-decoration: none;
}

@media (max-width: 991px) {
  nav.horizontally a[class*="secondlevel"].dropdown-toggle2 {
    padding-right: 35px;
  }
}

/* secondlevel + thirdlevel over */

nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]):is(:hover, :focus-within) > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]) > a:is(:hover, :focus),
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a:is(:hover, :focus),
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a:is(:hover, :focus) {
  background: rgba(19, 87, 204, 0.07);
  color: #1358cc;
}

/* #endregion ------------------------------- navigation ---------------------------------------- */
/* -------------------------------------------- banner ------------------------------------------ */

#slider {
  max-height: clamp(300px, 42vw, 480px);
  position: relative;
}

#slider::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  right: 0;
  display: inline-block;
  height: 20px;
  z-index: 50;
  pointer-events: none;
  background-color: rgba(255, 255, 255, 0.7);
}

@media (min-width: 992px) {
  body.index #slider {
    max-height: clamp(400px, 62vw, 680px);
  }

  #headerpic a.nivo-prevNav {
    left: 65px;
  }

  #headerpic a.nivo-nextNav {
    right: 65px;
  }
}

#headerpic {
  padding: 0;
  position: relative;
}

.slider-wrapper,
#slider {
  height: 100%;
}

.slider-mask {
  display: none;
}

.theme-nivo .nivo-controlNav {
  bottom: 25px !important;
}

/* ------------------------------------------------ content ----------------------------------------------- */

main {
  text-align: left;
  padding-bottom: 30px;
  padding-top: 30px;
}

@media (min-width: 992px) {
  main {
    padding-bottom: 60px;
    padding-top: 60px;
    position: relative;
  }
  .icon-main {
    position: relative;
  }
  .icon-main::before {
    content: "";
    position: absolute;
    width: 227px;
    height: 283px;
    bottom: -60px;
    right: 0;
    pointer-events: none;
    background: url(../img/logo-footer.png) no-repeat;
  }
}

/* ------------------------------------------- ticker ------------------------------------------- */

.newsticker {
  padding: 30px 0;
  color: #1358cc;
  margin: 0;
}

.newsticker a:hover {
  text-decoration: underline;
}

.newsticker a {
  color: inherit;
}

/* -------------------------------------- h1 - h6, newslink ------------------------------------- */

.h4link a:is(:link, :hover, :focus, :visited),
h6,
h5,
h4,
h3,
h2,
h1 {
  color: #1358cc;
  font-weight: 700;
  line-height: 1.2;
  font-family: "Lato", sans-serif;
}

h1,
.h1,
.legacy_h1 {
  font-size: clamp(2rem, 5.5vw, 2.375rem);
}

h2,
.h2,
.legacy_h2 {
  font-size: clamp(1.875rem, 5vw, 2.125rem);
}

h3,
.h3,
.legacy_h3 {
  font-size: clamp(1.625rem, 4.5vw, 1.875rem);
}

h4,
.h4,
.h4link a:is(:link, :hover, :focus, :visited) .legacy_h4 {
  font-size: clamp(1.5rem, 4vw, 1.625rem);
}

h5,
.h5,
.legacy_h5 {
  font-size: clamp(1.375rem, 3.5vw, 1.5rem);
}

h6,
.h6,
.legacy_h6 {
  font-size: clamp(1.25rem, 3vw, 1.375rem);
}

/* ----------------------------------------------- @5f footer ----------------------------------------------- */

#f5 {
  padding-top: 50px;
  padding-bottom: 50px;
  background-color: #0f449d;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

/* --------------------------------------------- innerfooter -------------------------------------------- */

@media (max-width: 768px) {
  #innerfooter,
  .tabFooter {
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    padding-bottom: 15px;
    margin-bottom: 15px;
  }
}

@media (max-width: 992px) {
  #innerfooter {
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    padding-bottom: 15px;
    margin-bottom: 15px;
  }
}

#innerfooter ul {
  padding: 0;
}

#innerfooter li {
  display: inline-block;
}

#innerfooter a {
  color: #ffffff;
  text-decoration: none;
  display: inline-block;
  font-size: 1rem;
  font-weight: 400;
}

#innerfooter a:hover,
#innerfooter a:focus {
  color: #ffffff;
  text-decoration: underline;
}

#innerfooter li + li::before {
  content: "";
  margin: 0 6px;
}

@media (min-width: 992px) {
  #innerfooter li + li::before {
    margin: 0 15px;
  }
}

@media (max-width: 767px) {
  #innerfooter li {
    display: block;
    text-align: center;
    padding: 5px;
    margin: 0;
  }

  #innerfooter li + li::before {
    display: none;
  }
}

/*  Footer Tab */
.tabFooter {
  color: #ffffff;
}

.tabFooter :is(h1, h2, h3, h4, h5, h6) {
  color: #ffffff;
}

.tabFooter a {
  display: inline-block;
  color: #ffffff;
  font-size: 1rem;
  background-color: #1358cc;
  font-weight: 400;
  padding: 14px 30px;
}

.tabFooter a:hover {
  color: #1358cc;
  background-color: #ffffff;
  text-decoration: none;
}

/* --------------------------------------------- vernetzt -------------------------------------------- */

#vernetzt {
  gap: 15px;
  text-align: left;
  font-size: 0.875rem;
  color: #ffffff;
  font-weight: 400;
}

#vernetzt span span {
  display: block;
}
